PrepareMessage (apache-cassandra API)
Date: 2014-10-21

org.apache.cassandra.repair.messages

## Class PrepareMessage

- java.lang.Object
- - org.apache.cassandra.repair.messages.RepairMessage
  - - org.apache.cassandra.repair.messages.PrepareMessage

-     public class PrepareMessage
      extends RepairMessage

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `PrepareMessage.PrepareMessageSerializer`

    - ### Nested classes/interfaces inherited from class org.apache.cassandra.repair.messages.RepairMessage

      `RepairMessage.MessageSerializer<T extends RepairMessage>, RepairMessage.RepairMessageSerializer, RepairMessage.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.List<java.util.UUID>` | `cfIds`
    `java.util.UUID` | `parentRepairSession`
    `java.util.Collection<Range<Token>>` | `ranges`
    `static RepairMessage.MessageSerializer` | `serializer`

    - ### Fields inherited from class org.apache.cassandra.repair.messages.RepairMessage

      `desc, messageType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PrepareMessage(java.util.UUID parentRepairSession, java.util.List<java.util.UUID> cfIds, java.util.Collection<Range<Token>> ranges)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.apache.cassandra.repair.messages.RepairMessage

      `createMessage`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serializer

          public static final RepairMessage.MessageSerializer serializer

    - #### cfIds

          public final java.util.List<java.util.UUID> cfIds

    - #### ranges

          public final java.util.Collection<Range<Token>> ranges

    - #### parentRepairSession

          public final java.util.UUID parentRepairSession

  - ### Constructor Detail

    - #### PrepareMessage

          public PrepareMessage(java.util.UUID parentRepairSession,
                        java.util.List<java.util.UUID> cfIds,
                        java.util.Collection<Range<Token>> ranges)

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 2014 The Apache Software Foundation